Page MenuHomePhabricator

Display list of registrations (organizer side)
Closed, ResolvedPublic

Description

As an event organizer, I want to see all event registrations that I have configured, so that I can easily apply actions to any find given event (such as editing the registration information, viewing list of participants, and more).

Background: In the Event Center > Organizer Center, there needs to be a list of all registrations that have been configured by the organizer. They should be able to access it via: 1) The 'Event Center' link on the wikis, 2) Direct URL (Special:MyEvents). If the organizer has not created any registrations yet, there will be instructions for how to create an event page with registration (but this behavior can be handled in a separate ticket: T308330). If they have created registrations, there should be a list of registrations that they can review and perform actions on, such as editing them or viewing registration details. Note that this page is currently to display event registrations, but we could see it transforming into a general 'your events' page when we develop an event creation tool.

Resources:
V0: Create Event Prototype
V0: Register for Event Prototype
V0 Design File

Acceptance Criteria:

  • This should be a special page (Special:MyEvents)
  • The page should be titled "Your Events" (displayed at top left side)
  • There should be a search bar for events below the "Your Events" title
    • The user should be able to search for events based on name
  • There should be a "Filter events" button to the right of the search bar
    • The user should be able to apply filters [we need more details from Gregory]
  • There should be a sortable table that displays all event registrations, which includes the following columns:
    • Date (first from left)
    • Event Name (second from left)
    • Location (third from left)
    • No. of Participants (fourth from left)
    • Three vertical dots that indicate actions to be performed (fifth from left), which include:
      • Edit
      • View Event Page
      • Close Registration
      • Delete Registration

Visual Examples:

Example of default state:

Screen Shot 2022-05-13 at 10.59.38 AM.png (1×2 px, 213 KB)

Example of filters applied:

Screen Shot 2022-05-13 at 11.00.11 AM.png (1×2 px, 204 KB)
Screenshot 2022-05-16 at 15.32.41.png (1×2 px, 313 KB)

Example of actions available via 3 dots:

Screen Shot 2022-05-13 at 11.01.16 AM.png (1×2 px, 230 KB)

Event Timeline

ifried updated the task description. (Show Details)

Hey folks! As I am working on this ticket, I have a few questions for Engineering and Design. It would be great to get these questions answered before the Sprint Planning meeting on Monday (at 14:30 UTC). But whenever you can is great; thanks!

Engineering -- pinging @cmelo & @Daimona:

  • Will we be using a new Special page for this page, or would it be under Special:OrganizeEvents? What would be an example of the URL we are using?
  • In the prototypes, there is one view if someone has created event registrations and another view if someone has not. I assume that the view if someone has not created event registrations should be a separate ticket (T308330). Is this correct?
  • For the actions that can be performed via the 3 dots (Edit, View Event Page, Close Registration, Delete Registration), should the actions themselves be separate tickets and the only requirement covered in this ticket is displaying the labels for these actions in the dropdown? What do you recommend?

Design -- pinging @gonyeahialam & @CKMIE89:

  • Should the page be called 'My Events' or 'Your Events'? We are thinking that the URL will include Special:MyEvents, so does it make sense for the title to also be 'My Events'?
  • What would be the entry-points for this page (which lists of event registrations)?
  • When the organizer clicks 'Manage Event,' are they brought to this page or to the page that shows the specific registration details (T307124)? In the prototype, it looks like they are brought to the list of events rather than the page specific to that event, but I feel like it would be more useful to the organizer to be brought to the specific event registration page rather than having to find it in a list of event registrations first. What do you think?
  • What values should be displayed when the user clicks on "Filter events"?

Thank you in advance!

ifried renamed this task from Display list of registrations (organizer view} to Display list of registrations (organizer side).May 13 2022, 3:41 PM
  • Will we be using a new Special page for this page, or would it be under Special:OrganizeEvents? What would be an example of the URL we are using?

"OrganizeEvents" seems a bit too broad, especially for this page. I believe this page should simply be Special:MyEvents (or Special:MyEvents; I had some questions about "My" vs "Your" earlier because "My" seems to be the pattern we followed thus far, but I seem to recall that this is being changed, so I want to confirm that, too.). So the URL would look like https://somewiki.org/wiki/Special:MyEvents.

  • In the prototypes, there is one view if someone has created event registrations and another view if someone has not. I assume that the view if someone has not created event registrations should be a separate ticket (T308330). Is this correct?

Having it as a separate task would be nice, yes.

  • For the actions that can be performed via the 3 dots (Edit, View Event Page, Close Registration, Delete Registration), should the actions themselves be separate tickets and the only requirement covered in this ticket is displaying the labels for these actions in the dropdown? What do you recommend?

Agreed, for this task we can either show the labels only, or just the three dots (and nothing happens when you click them). I would also want to confirm what should happen when you click the last 2 items. I was also thinking about the no-JS experience (where we can't show anything when clicking on the dots); perhaps if you have JS disabled and click the dots you could be redirected to the event details page (T304707)?

@Daimona Thank you for these comments! In response:

  1. Your comment clarified that this page would be separate from the main organizer center view (Special:OrganizeEvents). I also like Special:MyEvents, and I will update the requirements accordingly. Two follow-up questions:
  • Can we later expand the usage of this page to include all events that the organizer created in the event namespace, especially if they used the event creation tool?
  • Is this something that could later be converted to have an organizer and participant view (similar to what we are doing with the registration details page)? I imagine that we would want a space for participants to see a list of all events that they participated in as well in the future.
  1. Great. So we will keep the work in T308330 as a separate ticket.
  1. Yup, either labels or 3 dots for this ticket work for me. We can discuss it during sprint planning. As for Edit, View Event Page, Close Registration, Delete Registration, do you recommend that they 4 separate tickets (i.e., one for each action)? As for no-JS disabled, yes, I think it makes sense to redirect to the event registration details page, and there can be some way the organizer can perform those actions on those pages. Do you agree, @gonyeahialam?

@Daimona Thank you for these comments! In response:

  1. Your comment clarified that this page would be separate from the main organizer center view (Special:OrganizeEvents).

Is that name already finalized? I still think it's a bit broad, and wonder if something like Special:OrganizerCenter would work.

  • Can we later expand the usage of this page to include all events that the organizer created in the event namespace, especially if they used the event creation tool?

It should be technically possible, as long as the two lists aren't paginated together.

  • Is this something that could later be converted to have an organizer and participant view (similar to what we are doing with the registration details page)? I imagine that we would want a space for participants to see a list of all events that they participated in as well in the future.

Definitely! I guess this is more of a design question (for things like how to separate the two, e.g., should they be two different panels, or should this be a filter that you can apply?

  1. Yup, either labels or 3 dots for this ticket work for me. We can discuss it during sprint planning. As for Edit, View Event Page, Close Registration, Delete Registration, do you recommend that they 4 separate tickets (i.e., one for each action)?

One for all of them is fine.

@ifried

Should the page be called 'My Events' or 'Your Events'? We are thinking that the URL will include Special:MyEvents, so does it make sense for the title to also be 'My Events'?

It should be called Your Events

What would be the entry-points for this page (which lists of event registrations)?
When the organizer clicks 'Manage Event,' are they brought to this page or to the page that shows the specific registration details (T307124)? In the prototype, it looks like they are brought to the list of events rather than the page specific to that event, but I feel like it would be more useful to the organizer to be brought to the specific event registration page rather than having to find it in a list of event registrations first. What do you think?

The main entry point is by clicking on Event Center in the user profile menu. Users can also navigate to it by clicking Back To Your Events on the Event details page.
When the user clicks on Manage Events it should lead to the event details of the specific event and not the general list of events shown in the prototype.

ldelench_wmf added a subscriber: ldelench_wmf.

Moving this epic out of sprint since we broke it down into subtasks

ldelench_wmf moved this task from Backlog to Epics - upcoming on the Campaign-Tools board.
vyuen changed the task status from Open to In Progress.Aug 25 2022, 1:16 PM
vyuen moved this task from V0 to Darkship on the Campaign-Registration board.